import socket
import json

HOST, PORT = "localhost", 42424

def move_grid(x, y, orientation, dimx, dimy):
    sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    sock.connect((HOST, PORT))
    payload = json.dumps({"x": x, "y": y, "dimx": dimx, "dimy": dimy, "orientation": orientation})
    sock.sendall(f"move_grid_blocking;{payload}\n".encode())
    reply = sock.recv(1024)
    print(reply)

if __name__ == "__main__":
    move_grid(1,1,'^', 5, 5)